Skip to main content

Static Boundary Image on Mapbox Map beta

GET 

/v4/boundaries/:id/image/map

This endpoint is in beta and not yet ready for production. Check out the LiveBy API Beta Endpoints Program for more information.

Get an image of a boundary displayed on a mapbox. This endpoint is intended to allow a boundary to be visualized without loading an entire map. You can specify a public Mapbox style url to visualize the boundary.

Request

Path Parameters

    id stringrequired

    The LiveBy Boundary ID obtained from the /v4/boundaries endpoint.

Query Parameters

    mapbox-style stringrequired

    Mapbox style identifier used for the static image background. Supported values include mapbox://styles/{ownerId}/{styleId}, ownerId/styleId, or styleId (defaults ownerId to mapbox).

    Default value: mapbox://styles/mapbox/streets-v12

    width number

    Output image width in pixels. Maximum is 1280 (Mapbox static API limit).

    Default value: 700

    height number

    Output image height in pixels. Maximum is 1280 (Mapbox static API limit).

    Default value: 400

    stroke string

    Boundary line color in simplestyle format.

    Default value: #444ce7

    stroke-width number

    Boundary line width in pixels (simplestyle stroke-width).

    Default value: 2

    stroke-opacity number

    Boundary line opacity between 0 and 1 (simplestyle stroke-opacity).

    Default value: 1

    fill string

    Boundary fill color in simplestyle format.

    Default value: #444ce7

    fill-opacity number

    Boundary fill opacity between 0 and 1 (simplestyle fill-opacity).

    Default value: 0.1

Responses

Loading...